mui.init({
	gestureConfig: {
		longtap: true
	}
});
var wait;
var banklist_main;
var source;
var self;
var repay;

mui.plusReady(function() {
	init();
	banklist_main = plus.webview.getWebviewById('banklist_main');
	repay = plus.webview.getWebviewById('repay');
	self = plus.webview.currentWebview();
	source = self.source;
	mui('.mui-table-view').on('longtap', 'li', function(e) {
		var accNo = this.getAttribute('accNo');
		var endNo = accNo.substring(accNo.length - 4, accNo.length);
		var id = this.getAttribute('id');
		var bankName = this.getAttribute('bankName');
		var btnArray = ['否', '是'];
		mui.confirm('确定要删除' + bankName + '尾号为' + endNo + '的银行卡？', '温馨提示', btnArray, function(e) {
			if(e.index == 1) {
				//删除银行卡
				delBank(id);
			}
		});
	});

	mui('.mui-table-view').on('tap', 'li', function(e) {
		if(source == 'repay') {
			var verifyChannelNo = this.getAttribute('verifyChannelNo');
			var id = this.getAttribute('id');
			var bankName = this.getAttribute('bankName');
			var accNo = this.getAttribute('accNo');

			mui.fire(repay, 'seletbank', {
				verifyNo: verifyChannelNo,
				bankId: id,
				bankName: bankName,
				accNo: accNo
			});
			setTimeout(function() {
				mui.back();
			}, 200);
		} else {
			var application = this.getAttribute('application');
			var accNo = this.getAttribute('accNo');
			if(config.APPLTYPE == application) {
				return;
			}
			var endNo = accNo.substring(accNo.length - 4, accNo.length);
			var id = this.getAttribute('id');
			var bankName = this.getAttribute('bankName');

			var authenticate = this.getAttribute('authenticate');
			if(parseInt(authenticate) != 1) {
				alert('银行卡尚未验证通过,不可设置为提现卡');
				return;
			}
			var btnArray = ['否', '是'];
			mui.confirm('确定设置' + bankName + '尾号为' + endNo + '的银行卡为提现卡?？', '温馨提示', btnArray, function(e) {
				if(e.index == 1) {
					setApplication(id);
				}
			});
		}
	});
});

function init() {
	var url = config.SERVER_URL + 't003/account/customer/bankInfo/list';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};
	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			readData(data.attr.banks);
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}

			}
			mui.alert(data.message, '温馨提示', function() {});
		}
	});
}

function readData(banks) {
	var fragment = document.createDocumentFragment();
	var ul = document.getElementById('bankwarpper');
	ul.innerHTML = "";
	for(var i = 0; i < banks.length; i++) {
		var li = document.createElement('li');
		li.className = 'mui-table-view-cell';
		li.setAttribute('id', banks[i].id);
		var bankName = getbankName(banks[i].bankName);
		li.setAttribute('bankName', bankName);
		li.setAttribute('bankCode', banks[i].bankName);
		li.setAttribute('accNo', banks[i].accNo);
		li.setAttribute('accName', banks[i].accName);
		li.setAttribute('accType', banks[i].accType);
		li.setAttribute('status', banks[i].status);
		li.setAttribute('memo', banks[i].memo);
		li.setAttribute('application', banks[i].application);
		li.setAttribute('authenticate', banks[i].authenticate);
		li.setAttribute('thirdReturnInfo', banks[i].thirdReturnInfo);
		li.setAttribute('thirdReturnCode', banks[i].thirdReturnCode);
		li.setAttribute('verifyChannelNo', banks[i].verifyChannelNo);
		li.setAttribute('shortBankName', banks[i].shortBankName);

		var html = '<div class="part1"><img class="Bank-icon" src="../img/' + banks[i].shortBankName + '_bank.png"></div>' +
			'<div class="part2"><span>' + bankName + '</span></div>' +
			'<div class="part3"><span>' + hideBankCode(banks[i].accNo) + '</span></div>' +
			'<div class="part4">';
		if(config.APPLTYPE == banks[i].application) {
			html += '<div class="mui-input-row mui-checkbox"><input name="checkbox" type="checkbox" checked disabled="disabled"></div>';
		} else {
			if(banks[i].authenticate == 1) {
				html += '验证成功';
			} else if(banks[i].authenticate == 0 || banks[i].authenticate == 5) {
				html += '验证中';
			} else if(banks[i].authenticate == 9) {
				html += '<label><span class="mui-icon mui-icon-closeempty"></span></label>';
			}
		}

		html += '</div>';
		li.innerHTML = html;
		fragment.appendChild(li);
	}
	ul.appendChild(fragment);
	var lis = ul.querySelectorAll('li');
	mui.fire(banklist_main, 'bankSum', {
		lisum: lis.length
	});
}

function setApplication(id) {
	var url = config.SERVER_URL + 't003/account/customer/bankInfo/select';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE,
		bankId: id
	};

	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			init();
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}

			}
			mui.alert(data.message, '温馨提示', function() {});
		}
	});
}

function delBank(id) {

	var url2 = config.SERVER_URL + 't003/account/customer/bankInfo/delete';
	var data2 = {
		customerId: customerId,
		productType: config.PRODUCTTYPE,
		bankId: id
	};
	ajaxPost(url2, data2, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			mui.toast(data.message);
			init();
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
				
			}
			mui.alert(data.message, '温馨提示', function() {});
		}
	});
}

window.addEventListener('ref', function(event) {
	init();
});