mui.init();

var derateAmt;
(function($) {

	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});

	mui.ready(function() {
		//循环初始化所有下拉刷新
		mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			mui(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							if(plus.networkinfo.getCurrentType() == 0 || plus.networkinfo.getCurrentType() == 1) {
								mui.toast('当前未连接到网络');
								self.endPullDownToRefresh();
								return;
							}

							var islogin = localStorage.getItem("islogin");
							if(islogin == 'true') {
								init();
							}
							self.endPullDownToRefresh();
						}, 1000);
					}
				}
			});
		});
	});

	var islogin = localStorage.getItem("islogin");
	if(islogin == 'true') {
		init();
	}

	document.getElementById('history').addEventListener('tap', function() {
		mui.openWindow({
			url: 'historyloan.html',
			id: 'historyloan',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});

	document.getElementById('prot').addEventListener('tap', function() {
		var creditId = document.getElementById('creditId').value;
		mui.openWindow({
			url: 'jkdoc.html',
			id: 'jkdoc',
			show: {
				duration: config.DURATION
			},
			extras: {
				creditId: creditId,
				type: 'old'
			}
		});
	});

	document.getElementById('repaynobtn').addEventListener('tap', function() {
		var creditId = document.getElementById('creditId').value;
		mui.openWindow({
			url: 'repayno.html',
			show: {
				duration: config.DURATION
			},
			extras: {
				'creditId': creditId
			}
		});
	});

	document.getElementById('subbtn').addEventListener('tap', function() {
		var arrearsAmount = document.getElementById('arrearsAmount').innerHTML;
		mui.openWindow({
			url: 'repay.html',
			id: 'repay',
			show: {
				duration: config.DURATION
			},
			extras: {
				amount: arrearsAmount,
				derateamount: derateAmt
			}
		});
	});
	window.addEventListener('ref', function(event) {
		var islogin = localStorage.getItem("islogin");
		if(islogin == 'true') {
			init();
		}
	});

})(mui);

function init() {
	customerId = localStorage.getItem('customerId');
	var url = config.SERVER_URL + 't003/loan/creditStatus';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};
	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var result = data.result;
			var status = result.creditStatus;

			if(status == "0") {
				//未借款
				document.getElementById('warpper').classList.add('mui-hidden');
				document.getElementById('nodata').classList.remove('mui-hidden');
				document.getElementById('repaynobtn').classList.add('mui-hidden');
				if(document.getElementById('arrearsAmount') != null) {
					document.getElementById('arrearsAmount').style.color = '#333';
				}
				document.getElementById('creditId').value = '';
			} else if(status == '4' || status == '6') {
				//放款中 审核中
				createHtml(1);
				document.getElementById('warpper').classList.remove('mui-hidden');
				document.getElementById('nodata').classList.add('mui-hidden');
				document.getElementById('repaynobtn').classList.add('mui-hidden');

				if(document.getElementById('arrearsAmount') != null) {
					document.getElementById('arrearsAmount').style.color = '#333';
				}

				var autoCredit = result.autoCreditInfo;
				if(autoCredit.creditId != null) {
					document.getElementById('creditId').value = autoCredit.creditId;
				} else {
					document.getElementById('creditId').value = '';
				}
				document.getElementById('loanAmount').innerHTML = autoCredit.loanAmount;
				document.getElementById('totalNumber').innerHTML = autoCredit.totalNumber;
				document.getElementById('totalAmount').innerHTML = autoCredit.totalAmount;
				document.getElementById('bankName').innerHTML = result.bankName;
				document.getElementById('bankNo').innerHTML = result.bankNo;
				document.getElementById('loanEndDate').innerHTML = autoCredit.loanEndDate;
				document.getElementById('totalShouldPayAmout').innerHTML = autoCredit.totalShouldPayAmout;

				if(status == '4') {
					document.getElementById('subbtn').innerHTML = '放款中';
				} else {
					document.getElementById('subbtn').innerHTML = '审核中';
				}

				document.getElementById('subbtn').setAttribute('disabled', 'disabled');
			} else if(status == '5') {
				//还款中
				document.getElementById('warpper').classList.remove('mui-hidden');
				document.getElementById('nodata').classList.add('mui-hidden');
				document.getElementById('repaynobtn').classList.remove('mui-hidden');
				if(document.getElementById('arrearsAmount') != null) {
					document.getElementById('arrearsAmount').style.color = 'red';
				}

				createHtml(2);

				var autoCredit = result.autoCreditInfo;

				if(autoCredit.creditId != null) {
					document.getElementById('creditId').value = autoCredit.creditId;
				} else {
					document.getElementById('creditId').value = '';
				}
				document.getElementById('loanAmount').innerHTML = autoCredit.loanAmount;
				document.getElementById('totalNumber').innerHTML = autoCredit.totalNumber;
				document.getElementById('loanEndDate').innerHTML = autoCredit.loanEndDate;
				document.getElementById('totalShouldPayAmout').innerHTML = autoCredit.totalShouldPayAmout;
				document.getElementById('lateAmount').innerHTML = autoCredit.lateAmount;
				document.getElementById('realAmount').innerHTML = autoCredit.realAmount;
				document.getElementById('arrearsAmount').innerHTML = autoCredit.arrearsAmount;

				derateAmt = autoCredit.derateAmt;
				var subbtn = document.getElementById('subbtn');
				subbtn.innerHTML = '立即还款';
				subbtn.removeAttribute('disabled');
			}

		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
			if(data.message != null && data.message != "") {
				mui.toast(data.message);
			}
		}
	});
}

function createHtml(index) {
	var html = '';
	var ul = document.getElementById('ul');
	if(index == 1) {
		html += '<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">借款金额</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="loanAmount"></span>元</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">借款期限</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="totalNumber"></span>天</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">到账金额</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="totalAmount"></span>元</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">入账银行</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div  class="mui-media-body"><span id="bankName"></span></div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">入账卡号</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="bankNo"></span></div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">到账日期</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="loanEndDate"></span></div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">到期还款</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="totalShouldPayAmout"></span>元</div></li>';
		ul.innerHTML = html;
	} else if(index == 2) {
		html += '<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">借款金额</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="loanAmount"></span>元</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">借款期限</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="totalNumber"></span>天</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">到期日期</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="loanEndDate"></span></div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">应还金额</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="totalShouldPayAmout"></span>元</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">逾期罚息</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="lateAmount"></span></div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">已还金额</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="realAmount"></span></div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">当前欠款</div></li>' +
			'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body"><span id="arrearsAmount"></span>元</div></li>';
		ul.innerHTML = html;
	}
}