function plusReady() {
	var self = plus.webview.currentWebview();
	var relogin = self.relogin;

	var mobileNo = localStorage.getItem('mobile');
	if(mobileNo != null && mobileNo != "") {
		document.getElementById('mobile').value = mobileNo;
	}
	document.getElementById('updatePWD').addEventListener('tap', function() {
		mui.openWindow({
			url: 'confirmPWD.html',
			id: 'confirmPWD',
			waiting: {
				autoShow: false
			}
		});
	});

	document.getElementById('registerBtn').addEventListener('tap', function() {
		mui.openWindow({
			url: 'register.html',
			id: 'register',
			waiting: {
				autoShow: false
			}
		});
	});

	document.getElementById('subBtn').addEventListener('tap', function() {
		var mobile = document.getElementById('mobile');
		var pwd = document.getElementById('pwd');

		if(mobile.value.trim() == "") {
			mui.alert('手机号不能为空！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(!isPhoneNo(mobile.value.trim())) {
			mui.alert('手机号格式不正确，请重填！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(pwd.value.trim().length < 6) {
			mui.alert('密码为6-20位字符！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(!ispwd(pwd.value.trim())) {
			mui.alert('密码只能为英文和数字！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		var data = {};
		data['mobile'] = mobile.value.trim();
		var hex_pwd = hex_md5(pwd.value.trim()).toUpperCase();
		data['password'] = hex_pwd;
		data['productType'] = config.PRODUCTTYPE;
		console.log(JSON.stringify(data));
		waiting(config.WAITING, true);
		var url = config.SERVER_URL + 't003/account/login';
		console.log(url);
		mui.ajax({
			url: url,
			type: 'post',
			data: data,
			beforeSend: function(XMLHttpRequest) {
				XMLHttpRequest.setRequestHeader("version", config.VERSION);
			},
			success: function(data) {
				plus.nativeUI.closeWaiting();
				console.log(JSON.stringify(data));
				if(data.success) {
					mui.toast(data.message);
					var info = data.attr.customerInfo;
					localStorage.setItem('customerId', info.id);
					localStorage.setItem('islogin', 'true');
					localStorage.setItem('mobile', mobile.value.trim());
					localStorage.setItem('hexpwd', hex_pwd);
					localStorage.setItem('isopen', 'false');

					var sig_cusId = new String(parseInt(info.id, 10).toString(16)).toUpperCase();
					var signature = hex_md5(hex_pwd + sig_cusId).toUpperCase();
					localStorage.setItem('signature', signature);

					if(relogin != null && relogin == true) {
						var index = plus.webview.getWebviewById('index');

						mui.fire(index, 'ref', {
							relogin: true
						});

						//						mui.openWindow({
						//							id: 'index',
						//							url: '../index.html',
						//							show: {
						//								duration: config.DURATION
						//							},
						//							waiting: {
						//								autoShow: false
						//							},
						//							extras: {
						//								relogin: true
						//							}
						//						});
					} else {
						mui.openWindow({
							id: 'index',
							url: '../index.html',
							show: {
								duration: config.DURATION
							},
							waiting: {
								autoShow: false
							}
						});
					}

					var self = plus.webview.currentWebview();
					//					setTimeout(function() {
					//						
					//					}, 300);
					setTimeout(function() {
						self.hide();
						self.close();
					}, 400);
				} else {
					mui.alert(data.message, '温馨提示', function() {

					});
				}
			},
			error: function(eq, status, err) {
				if(status == "abort") {
					mui.alert("服务器连接失败，请稍后再试！", '温馨提示', function() {});
				}
				plus.nativeUI.closeWaiting();
				console.log(status);
				console.log(JSON.stringify(err));
			}
		});
	});

	window.addEventListener('refmobile', function(event) {
		document.getElementById('mobile').value = event.detail.mobile;
		document.getElementById('pwd').value = '';
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

var old_back = mui.back;
mui.back = function() {
	localStorage.setItem('isopen', 'false');
	old_back();
}