mui.init();
var recommendId = 'T003';

function plusReady() {
	document.getElementById('yzmBtn').addEventListener('tap', function() {
		var mobile = document.getElementById('mobile');

		if(mobile.value.trim() == "") {
			mui.alert('手机号不能为空！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(!isPhoneNo(mobile.value.trim())) {
			mui.alert('手机号格式不正确，请重填！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		var url = config.SERVER_URL + 't003/account/sendCheckcode';
		console.log(url);
		mui.ajax({
			url: url,
			type: 'post',
			data: {
				mobile: mobile.value.trim(),
				flag: 0,
				productType: 'T003'
			},
			beforeSend: function(XMLHttpRequest) {
				XMLHttpRequest.setRequestHeader("version", "2.1");
			},

			success: function(data) {
				console.log(JSON.stringify(data));
				if(data.success) {
					mui.alert(data.message, '温馨提示', function() {
						countdown(60, document.getElementById('yzmBtn'));
						focus(document.getElementById('yzm'));
					});
				} else {
					if(data.attr.type == 1) {
						var login = plus.webview.getWebviewById('login');
						console.log(login);
						mui.fire(login, 'refmobile', {
							mobile: mobile.value.trim()
						});
						mui.alert(data.message, '温馨提示', function() {
							setTimeout(function() {
								mui.back();
							}, 300);
						});
						return;
					}
					mui.alert(data.message, '温馨提示', function() {

					});
				}
			},
			error: function(eq, status, err) {
				console.log(JSON.stringify(err));
			}
		});
	});

	document.getElementById('subBtn').addEventListener('tap', function() {
		var mobile = document.getElementById('mobile');
		var yzm = document.getElementById('yzm');
		var pwd = document.getElementById('pwd');
		var invite = document.getElementById('invite');
		var inviteDiv = document.getElementById('inviteDiv');

		var data = {};
		if(mobile.value.trim() == "") {
			mui.alert('手机号不能为空！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(!isPhoneNo(mobile.value.trim())) {
			mui.alert('手机号格式不正确，请重填！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(yzm.value.trim() == "") {
			mui.alert('验证码不能为空！', '温馨提示', function() {
				focus(yzm);
			});
			return;
		}

		if(yzm.value.trim().length < 4) {
			mui.alert('验证码应为4-6位数字！', '温馨提示', function() {
				focus(yzm);
			});
			return;
		}

		if(pwd.value.trim() == "") {
			mui.alert('密码不能为空！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(pwd.value.trim().length < 6) {
			mui.alert('密码应为6-20位字符！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(!ispwd(pwd.value.trim())) {
			mui.alert('密码只能为英文和数字！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		data['mobile'] = mobile.value.trim();
		data['password'] = hex_md5(pwd.value.trim()).toUpperCase();
		data['checkcode'] = yzm.value.trim();
		data['recommendId'] = recommendId;
		data['productType'] = config.PRODUCTTYPE;
		console.log(JSON.stringify(data));

		var url = config.SERVER_URL + 't003/account/regisiter';
		lock();
		mui.ajax({
			url: url,
			type: 'post',
			data: data,
			beforeSend: function(XMLHttpRequest) {
				XMLHttpRequest.setRequestHeader("version", "2.1");
			},
			success: function(data) {
				console.log(JSON.stringify(data));
				if(data.success) {
					mui.alert(data.message, '温馨提示', function() {
						var login = plus.webview.getWebviewById('login');
						mui.fire(login, 'refmobile', {
							mobile: mobile.value.trim()
						});
						setTimeout(function() {
							mui.back();
						}, 300);
					});

				} else {
					mui.alert(data.message, '温馨提示', function() {
						yzm.value = "";
						unlock();
					});
				}
			},
			error: function(eq, status, err) {
				unlock();
				console.log(JSON.stringify(err));
			}
		});
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function lock() {
	var mobile = document.getElementById('mobile');
	var yzm = document.getElementById('yzm');
	var pwd = document.getElementById('pwd');
	var yzmBtn = document.getElementById('yzmBtn');

	mobile.setAttribute('disabled', 'disabled');
	yzm.setAttribute('disabled', 'disabled');
	yzmBtn.setAttribute('disabled', 'disabled');
}

function unlock() {
	var mobile = document.getElementById('mobile');
	var yzm = document.getElementById('yzm');
	var pwd = document.getElementById('pwd');
	var yzmBtn = document.getElementById('yzmBtn');

	mobile.removeAttribute('disabled', 'disabled');
	yzm.removeAttribute('disabled', 'disabled');
	yzmBtn.removeAttribute('disabled', 'disabled');
}