function update(nowVer) {
	mui.ajax({
		url: config.VERSION_URL + '?v=' + getUid(),
		type: "get",
		dataType: 'json',
		timeout: 20000,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data == null) {
				mui.toast('获取更新信息失败');
				return;
			}
			var newVer, minVer;

			if(plus.os.name == config.ANDROID) {
				newVer = data.android.version;
				minVer = data.android.minversion;
			} else {
				newVer = data.ios.version;
				minVer = data.ios.minversion;
			}

			newVer = newVer.split('.');
			newVer = parseInt(newVer[0] + newVer[1] + newVer[2]);

			minVer = minVer.split('.');
			minVer = parseInt(minVer[0] + minVer[1] + minVer[2]);

			if(nowVer < minVer) {
				if(plus.os.name == config.ANDROID) {
					waiting('正在下载最新安装包...\n0/0');
					downAPK(data.android.url);
				} else {
					mui.alert('请前往appstore更新最新版本', '温馨提示', function() {
						plus.runtime.openURL(data.ios.url);
					});
				}
			} else if(nowVer < newVer) {
				if(plus.os.name == config.ANDROID) {
					waiting('正在下载更新文件...', false);
					downWGT(data.android.wgt);
				} else {
					//						waiting('正在加载数据...', false);
					downWGT(data.ios.wgt);
				}
			} else {
				if(wsId != 'index') {
					init();
				}

			}

		},
		error: function(req, type, e) {
			console.log(type);
			if(wsId != 'index') {
				if(type == 'timeout') {
					mui.toast('获取更新信息失败');
				}
				init();
			}
		}
	});
}

function dtaskAPK(url) {
	var filename = "_doc/update/H53EFC09B.apk";
	var dtask = null;
	var options = {
		method: "GET",
		filename: filename
	};
	var i = 0;
	dtask = plus.downloader.createDownload(url, options);
	dtask.addEventListener("statechanged", function(task, status) {
		if(!dtask) {
			return;
		}
		switch(task.state) {
			case 1:
				console.log("开始下载...");
				break;
			case 2:
				console.log("链接到服务器...");
				break;
			case 3:
				i++;
				if(i % 50 == 0) {
					waiting('正在下载最新安装包...\n' + bytesToSize(task.downloadedSize) + '/' + bytesToSize(task.totalSize) + '', false);
				}
				break;
			case 4:
				console.log("下载完成！");
				console.log(task.filename);
				waiting('正在下载最新安装包...\n' + bytesToSize(task.totalSize) + '/' + bytesToSize(task.totalSize) + '', false);
				installAPK(filename);
				break;
		}
	});
	dtask.start();
}

function downWGT(url) {
	plus.io.resolveLocalFileSystemURL("_doc/update/H53EFC09B.wgt", function(entry) {
		entry.remove(function(en) {
			console.log("Remove succeeded");
			dtaskWGT(url);
		}, function(e) {
			alert(e.message);
		});
	}, function(e) {
		dtaskWGT(url);
	});
}

function downAPK(url) {
	plus.io.resolveLocalFileSystemURL("_doc/update/H53EFC09B.APK", function(entry) {
		entry.remove(function(en) {
			console.log("Remove succeeded");
			dtaskAPK(url);
		}, function(e) {
			alert(e.message);
		});
	}, function(e) {
		dtaskAPK(url);
	});
}

function dtaskWGT(url) {
	var filename = "_doc/update/H53EFC09B.wgt";
	var dtask = null;
	var options = {
		method: "GET",
		filename: filename
	};
	console.log(url);
	dtask = plus.downloader.createDownload(url, options);
	dtask.addEventListener("statechanged", function(task, status) {
		if(!dtask) {
			return;
		}
		switch(task.state) {
			case 1:
				console.log("开始下载...");
				break;
			case 2:
				console.log("链接到服务器...");
				break;
			case 3:
				break;
			case 4:
				console.log("下载完成！");
				installWGT(task.filename);
				break;
		}
	});
	dtask.start();
}

function installWGT(filepath) {
	plus.nativeUI.closeWaiting();
	//	var path = plus.io.convertLocalFileSystemURL(filepath);
	//	var osName = plus.os.name;
	//	if(osName == "iOS") {
	//		path = 'file:///' + path;
	//	}
	console.log(filepath);
	plus.runtime.install(filepath, {}, function(info) {
		console.log('安装成功');
		//		if(wsId != 'index') {
		plus.runtime.restart();
		//		} else {
		//			mui.fire(self, 'ref', {});
		//		}
	}, function(e) {
		alert(e.message);
		console.log('安装失败');
	});
}

function installAPK(filepath) {
	plus.nativeUI.closeWaiting();
	var path = plus.io.convertLocalFileSystemURL(filepath);
	plus.runtime.install(path, {}, function(info) {
		console.log('请手动安装');
	}, function(e) {
		alert(e.message);
		console.log('安装失败');
	});
}